1. Gateway
Smart lock
English
  • 中文
  • English
  • Auth
    • Login
      POST
    • Code
      POST
    • Register
      POST
  • Lock
    • Query all locks held by the current user
      GET
    • Query the current lock details information
      GET
  • Password
    • Query all passwords of the current user
      GET
    • Time-limited password (offline password)
      POST
    • Single-time password (offline password)
      POST
    • Permanent password (offline password)
      POST
    • Clear the password (using this password to unlock, so the password will become invalid)
      POST
    • Cyclic cipher (offline cipher)
      POST
    • Password details
      GET
    • Delete password
      POST
    • Add password interface (to be called after the password is generated)
      POST
    • Change password
      POST
  • Bluetooth command
    • Door Lock Binding (Apartment)
      POST
    • Door Lock Binding (Dlock)
      POST
    • Add Lock Use
      POST
    • Modify Lock User
      POST
    • Delete Lock User
      POST
    • Read Door Lock Settings
      POST
    • Initialize Door Lock
      POST
    • Sync Door Lock Users
      POST
    • Sync Door Lock Operation Records
      POST
    • Get Lock Report Command Operations
      POST
    • Issue Door Lock Settings
      POST
    • Issue 4G Module Association
      POST
    • Issue Door Lock Operations
      POST
  • Card
    • Report card data (add card)
    • Delete Card
    • Get the current user's card list
    • Card Details
    • Modification Card
  • Fingerprint
    • Delete fingerprint
    • Report fingerprint data (add fingerprint)
    • Get the current fingerprint user list
    • Fingerprint Details
    • Modify fingerprint
  • Remote control
    • Delete remote
    • Report remote control data (add remote control)
    • Get the current list of remote control users
    • Remote control details
    • Modify remote control
  • Face
    • Delete face
    • Report facial data (add face)
    • Get the current list of facial recognition users
    • Facial Details
    • Modify face
  • Palm lines
    • Remove palm lines
    • Report palm print data (add palm print)
    • Get the current palm print user list
    • Palm print details
    • Modify palm lines
  • Door lock reports to the update server
    • Delete door lock
    • Save system settings
    • Synchronized door lock records (records not reported by the synchronized lock end)
    • Save lock end user
    • Save door lock settings
    • Save the door lock record, the current command is 0300 to call save
    • Report door lock binding 0700
    • 4G module association reporting
  • Operation Record
    • Get the current user's operation records
    • Delete operation records
    • Door lock records (no alarms)
  • Gateway
    • Query all gateways
      POST
    • Send instruction to unbind the gateway-door lock association
      POST
    • Unbind Gateway from Server-side User
      POST
  • Card issuing machine related interfaces
    • Method 1 for Binding the Card Issuing Machine
    • Method 2 for Binding the Card Issuing Machine
    • Delete card issuer
    • Delete online card
    • Create an online card to door lock device
    • Create an offline card for the hotel apartment
    • Online Card Save
    • Issue command to start collecting fingerprint data
    • Issue the command to stop collecting fingerprint data
    • Unbind card issuing machine
    • Synchronize and send fingerprint data to the door lock device
    • Query all card information based on the cardholder
  • 4G Direct Connection
    • Issue the command to associate the direct connection module with the door lock.
    • Report the association results of the direct connection module
    • Check the status of the direct connection module
    • 4G password delivery
  • 数据模型
    • 数据
    • 上报
    • 修改
    • 上报commonFormatData
    • 离线密码
    • 指令通用数据模型
  1. Gateway

Query all gateways

开发中
POST
/gateway/queryAllGateways
Query the gateway or card issuer device list under the specified user account, and return basic device information and online status.
Gateway Status Description
0: Offline1: Online
Gateway Type Description
00/01: WiFi/4G Gateway
09: Card Issuer (Mandatory field when querying card issuers)
Calling Instructions
The userId parameter is mandatory. The interface returns devices bound to the corresponding user ID.
If the gatewayType parameter is not passed: Return all gateway devices under the user (excluding card issuers).
If gatewayType=09 is passed: Return all card issuer devices under the user.
Important Notice
This is a full gateway query interface. No request parameters passed will return all gateway data in the system database, regardless of user ownership.

请求参数

Header 参数

Body 参数application/json必填

示例
{
    "id": "2031276209407139842",
    "gatewayId": "020122C00004",
    "gatewayName": "Z-GATEWAT",
    "gatewayStatus": "0",
    "userId":"1960233117195952130",
    
}

返回响应

🟢200成功
application/json
Bodyapplication/json

示例
{}
上一页
Door lock records (no alarms)
下一页
Send instruction to unbind the gateway-door lock association
Built with